<div class="reports-container col-12 col-sm-12 d-none d-md-block">
    <div class="panel panel-default col-12 p-0">
        <div id="collapsereport" class="" role="tabpanel" aria-labelledby="headingreport">
            <div class="panel-body">
                <div class="report_actions">
                    <div class="" style="position: absolute">
                        <p class="report-title" data-toggle="collapse" data-parent="#accordion"
                           data-target="#collapsereport" aria-expanded="true" aria-controls="collapsereport">
                            <img src="/img/profile/anchors/report.png" alt="">
                        </p>
                    </div>
                    <div class="col-12">
                        <div class="col-3 col-lg-3 col-md-6 report-action">
                            <span class="_report" data-toggle="modal" data-target="#report_fake_modal"><?= __('suspicious_pics')?></span>
                        </div>
                        <div class="col-3 col-lg-3 col-md-6 report-action">
                            <span class="_report" data-toggle="modal" data-target="#report_fake_modal"><?= __('report_fake')?></span>
                        </div>
                        <div class="col-3 col-lg-3 col-md-6 report-action">
                            <span  class="report_escort_btn _report" type="1" data-toggle="modal" data-target="#report_problem_modal"><?= __('bad_phone_number')?></span>
                        </div>
                        <div class="col-3 col-lg-3 col-md-6 report-action">
                            <span  class="report_escort_btn _report" type="2" data-toggle="modal" data-target="#report_problem_modal"><?= __('other_problem')?></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>



<!-- Problem Modal -->
<div class="modal fade" id="report_problem_modal" tabindex="-1" role="dialog"
     aria-labelledby="report_problem_modalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title text-black" id="exampleModalLabel"><?= __('report_a_problem')?></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form id="problem-form">
                <div class="modal-body">

                    <div class="form-group">
                        <label for="name"><?= __('your_name')?>:<span class="text-danger">*</span></label>
                        <input id="name" type="text" name="name" class="form-control"/>
                        <p id="name-error" class="error-report text-danger"></p>
                    </div>
                    <div class="form-group">
                        <label for="email"><?= __('your_email')?>:<span class="text-danger">*</span></label>
                        <input id="email" type="text" name="email" class="form-control"/>
                        <p id="email-error" class="error-report text-danger"></p>
                    </div>

                    <div class="form-group">
                        <label for="message"><?= __('problem_report')?>:<span class="text-danger">*</span></label>
                        <textarea id="message" name="message" class="form-control"></textarea>
                        <p id="message-error" class="error-report text-danger"></p>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal"><?= __('cancel')?></button>
                    <button class="btn btn-primary" data-id="<?= $this->escort->id;?>"><?= __('submit')?></button>
                </div>
            </form>
        </div>
    </div>
</div>


<!-- Fake Modal -->
<div class="modal fade" id="report_fake_modal" tabindex="-1" role="dialog" aria-labelledby="report_fake_modalLabel"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title text-black" id="exampleModalLabel"><?= $this->t('report_suspicious_photos') ?></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form id="fake-form">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="name"><?= __('link_to_photo')?>:<span class="text-danger">*</span></label>
                        <input id="name1" type="text" name="link_1" class="form-control"/>
                        <p id="link_1-error" class="error-report text-danger"></p>
                    </div>

                    <div class="form-group">
                        <label for="name"><?= __('link_to_photo')?>:</label>
                        <input id="name2" type="text" name="link_2" class="form-control"/>
                        <p id="link_2-error" class="error-report text-danger"></p>
                    </div>

                    <div class="form-group">
                        <label for="name"><?= __('link_to_photo')?>:</label>
                        <input id="name3" type="text" name="link_3" class="form-control"/>
                        <p id="link_3-error" class="error-report text-danger"></p>
                    </div>
                    <div class="form-group">
                        <label for="commentarea"><?= __('problem_report')?>:<span class="text-danger">*</span></label>
                        <textarea id="commentarea" name="comment" class="form-control"></textarea>
                        <p id="comment-error" class="error-report text-danger"></p>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal"><?= __('cancel')?></button>
                    <button class="btn btn-primary" data-id="<?= $this->escort->id;?>"><?= __('submit')?></button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="write_email_to_escort" tabindex="-1" role="dialog"
     aria-labelledby="write_email_to_escortLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel"><?= __('write_email_to')?> <?= $this->escort->showname?>!</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form id="write_email_to_escort_form">
                <div class="modal-body">
                    <input type="hidden" name="to" value="<?= $this->escort->id;?>">
                    <input type="hidden" name="agency_id" value="<?= $this->escort->agency_id;?>">
                    
                    <div class="form-group">
                        <label for="name-feedback"><?= __('your_name')?>:</label>
                        <input id="name-feedback" type="text" name="name" class="form-control"/>
                        <p id="name-feedback-error" class="error-report text-danger"></p>
                    </div>
                    <div class="form-group">
                        <label for="email-feedback"><?= __('your_email')?>:<span class="text-danger">*</span></label>
                        <input id="email-feedback" autocomplete="email" type="text" name="email" class="form-control"/>
                        <p id="email-feedback-error" class="error-report text-danger"></p>
                    </div>

                    <div class="form-group">
                        <label for="message-feedback"><?= __('message')?>:<span class="text-danger">*</span></label>
                        <textarea id="message-feedback" name="message" class="form-control" rows="6"></textarea>
                        <p id="message-feedback-error" class="error-report text-danger"></p>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal"><?= __('cancel')?></button>
                    <button class="btn btn-primary" data-id="<?= $this->escort->id;?>"><?= __('submit')?></button>
                </div>
            </form>
        </div>
    </div>
</div>